Accounts

Archive an account

Use this method to archive MT4, MT5, and cTrader trading accounts. Only the accounts with zero balances can be archived. If there are available funds on an account, they are transferred to a fallback account before archiving. The fallback account is an account of the *personal* type, denominated in the same currency as an archived account.

POST
/api/v2/my/accounts/{accountId}/archive

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

accountId*integer

The account identifier.

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/accounts/1/archive" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "fallbackId": 2  }'
Empty
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}